import type { _MKPolylineRenderer } from "./MKPolylineRenderer.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _MKGradientPolylineRenderer extends _MKPolylineRenderer {
    static alloc(): _MKGradientPolylineRenderer;
    static new(): _MKGradientPolylineRenderer;
    init(): _MKGradientPolylineRenderer;
    setColors$atLocations$(colors: _NSArray, locations: _NSArray): void;
    locations(): _NSArray;
    colors(): _NSArray;
}
